Bug 1072411 - libyui-qt: Remove one line to make it work with wayland
libyui-qt: Remove one line to make it work with wayland
Status: RESOLVED FIXED
: 1078649 (view as bug list)
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: Martin Vidner
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-12 14:58 UTC by Fabian Vogt
Modified: 2021-03-23 09:36 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Vogt 2017-12-12 14:58:29 UTC
By using sudo -E, yast can be started as root in a wayland session.
It tries to connect to a X server for a bad reason though and fails:
https://github.com/libyui/libyui-qt/issues/75
Comment 1 Imobach Gonzalez Sosa 2017-12-12 15:39:25 UTC
Martin, please, could you have a look? Thanks!
Comment 2 Martin Vidner 2017-12-15 13:57:33 UTC
Thanks for the report!

Yes, as per the details in the GH issue, we should simply remove the probeX11Display method.

I'll make the PR.
Comment 3 Martin Vidner 2017-12-18 15:50:49 UTC
PR: https://github.com/libyui/libyui-qt/pull/76
Comment 4 Ancor Gonzalez Sosa 2018-02-01 15:34:09 UTC
*** Bug 1078649 has been marked as a duplicate of this bug. ***
Comment 5 Josef Reidinger 2018-06-07 13:30:08 UTC
fix merged